<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project default="create_run_jar" name="Create Runnable Jar for Project de.ugoe.cs.swe.T3Q with Jar-in-Jar Loader">
    <!--this file was created by Eclipse Runnable JAR Export Wizard-->
    <!--ANT 1.8 is required                                        -->
    <target name="create_run_jar">
    	<echo message="Eclipse Home points to: ${eclipse.home}"></echo>
    	<echo message="Basedir points to: ${basedir}"></echo>
        <jar destfile="${basedir}/build/t3q.jar">
            <manifest>
                <attribute name="Main-Class" value="org.eclipse.jdt.internal.jarinjarloader.JarRsrcLoader"/>
                <attribute name="Rsrc-Main-Class" value="de.ugoe.cs.swe.T3Q.T3Q"/>
                <attribute name="Class-Path" value="."/>
                <attribute name="Rsrc-Class-Path" value="./ org.eclipse.xtext_2.10.0.v201605250459.jar org.eclipse.emf.ecore.xmi_2.11.1.v20160208-0816.jar org.eclipse.emf.ecore_2.11.2.v20160208-0816.jar org.eclipse.emf.common_2.11.1.v20160208-0816.jar org.antlr.runtime_3.2.0.v201101311130.jar com.google.inject_3.0.0.v201312141243.jar org.eclipse.emf.mwe.core_1.3.20.v201605261103.jar org.apache.commons.cli_1.2.0.v201404270220.jar org.eclipse.emf.mwe2.runtime_2.9.0.v201605261103.jar org.eclipse.emf.mwe.utils_1.3.20.v201605261103.jar org.eclipse.xtext.util_2.10.0.v201605250459.jar com.google.guava_15.0.0.v201403281430.jar javax.inject_1.0.0.v20091030.jar org.eclipse.xtext.xbase_2.10.0.v201605250459.jar org.eclipse.xtext.common.types_2.10.0.v201605250459.jar org.eclipse.xtend.lib_2.10.0.v201605250459.jar org.eclipse.xtext.xbase.lib_2.10.0.v201605250459.jar org.eclipse.xtend.lib.macro_2.10.0.v201605250459.jar org.eclipse.xtext.generator_2.10.0.v201605250459.jar org.eclipse.xtext.xtext.generator_2.10.0.v201605250459.jar org.eclipse.emf.codegen.ecore_2.11.1.v20160208-0841.jar org.eclipse.emf.codegen_2.11.0.v20160208-0841.jar org.eclipse.xtend_2.1.0.v201505260349.jar com.ibm.icu_54.1.1.v201501272100.jar org.eclipse.xpand_2.1.0.v201505260349.jar org.eclipse.xtend.typesystem.emf_2.1.0.v201505260349.jar org.eclipse.emf.mwe2.lib_2.9.0.v201605261103.jar org.apache.commons.logging_1.1.1.v201101211721.jar org.eclipse.emf.mwe2.launch_2.9.0.v201605261103.jar org.eclipse.emf.mwe2.language_2.9.0.v201605261103.jar org.antlr.runtime_4.3.0.v201502022030.jar org.objectweb.asm_5.0.1.v201404251740.jar org.eclipse.equinox.common_3.7.0.v20150402-1709.jar org.apache.log4j_1.2.15.v201012070815.jar asm-all-5.0.3.jar org.apache.commons.io_2.2.0.v201405211200.jar xpp3-1.1.4c.jar xstream-1.4.7.jar"/>
            </manifest>
            <zipfileset src="${basedir}/libs/jar-in-jar-loader.zip"/>
            <fileset dir="${basedir}/bin"/>
            <fileset dir="${basedir}/../de.ugoe.cs.swe.TTCN3/bin"/>
            <zipfileset dir="${basedir}/../de.ugoe.cs.swe.TTCN3/libs" includes="asm-all-5.0.3.jar"/>
            <fileset dir="${basedir}/../de.ugoe.cs.swe.TTCN3Configuration/bin"/>
            <zipfileset dir="${basedir}/../de.ugoe.cs.swe.TTCN3Configuration/libs" includes="xpp3-1.1.4c.jar"/>
            <zipfileset dir="${basedir}/../de.ugoe.cs.swe.TTCN3Configuration/libs" includes="xstream-1.4.7.jar"/>
            <zipfileset dir="${basedir}/../de.ugoe.cs.swe.T3Q/plugins" />
        </jar>
    </target>
</project>
